Subject: Re: three questions: proper forum? & reverting changes to the working directory

From: Andy Hawkins <[email-masked]>
Date: Thu, 8 Nov 2012 14:54:30 +0000 (UTC)

Hi,

In article <[email-masked]>,
           McKown, John<[email-masked]> wrote:

> 1) is this the proper forum for asking general git usage questions, such
> as "how to"?  If not, what is?

I'd say that here is fine. #git on freenode is also a good source of advice.

> 2) I am unsure that I did things the "proper" way. I have a git maintained
> subdirectory.  I made some changes and saved them in the working
> directory, but did not "git add" or "git commit" them.  I then decided
> that I really messed up what I was doing (basically reformatting some
> source code).  So to revert the changes back to what was last committed, I
> did a "git reset --hard HEAD".  I think this is the proper way.  But I
> picked up that command in the section of the documentation which was
> talking about abandoning a "git merge" attempt.  What I did worked, but is
> it the proper way?  If not, what is?

The easiest answer to this is run 'git status'. It'll list the files in
various states, and tell you how to undo the changes.

Andy